<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:paddingLeft="16dp"
    android:paddingTop="12dp"
    android:paddingRight="16dp"
    android:paddingBottom="12dp"
    app:layout_scrollFlags="scroll">

    <View
        android:id="@+id/search_background"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:background="@drawable/actionbar_search_bg"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/tv_search"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/et_search"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@null"
        android:hint="请输入小游戏关键词"
        android:imeOptions="actionSearch"
        android:paddingStart="36dp"
        android:paddingLeft="36dp"
        android:paddingEnd="40dp"
        android:paddingRight="40dp"
        android:singleLine="true"
        android:gravity="center_vertical"
        android:textColor="@color/text_primary"
        android:textColorHint="@color/text_instance"
        android:textCursorDrawable="@drawable/cursor_color"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/search_background"
        app:layout_constraintLeft_toLeftOf="@id/search_background"
        app:layout_constraintRight_toRightOf="@id/search_background"
        app:layout_constraintTop_toTopOf="@id/search_background" />

    <ImageView
        android:id="@+id/searchIv"
        android:layout_width="14dp"
        android:layout_height="14dp"
        android:layout_centerVertical="true"
        android:layout_marginStart="12dp"
        android:layout_marginLeft="12dp"
        app:srcCompat="@drawable/toolbar_search_icon"
        app:layout_constraintBottom_toBottomOf="@id/search_background"
        app:layout_constraintLeft_toLeftOf="@id/search_background"
        app:layout_constraintTop_toTopOf="@id/search_background" />

    <TextView
        android:id="@+id/tv_search"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:text="搜索"
        android:textColor="@color/text_theme"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/search_background"
        app:layout_constraintLeft_toRightOf="@id/search_background"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/search_background" />

</androidx.constraintlayout.widget.ConstraintLayout>